io.etcd.jetcd

## Class AbstractResponse<R>

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<R>

All Implemented Interfaces:
  Response

Direct Known Subclasses:
  AlarmResponse, AuthDisableResponse, AuthEnableResponse, AuthRoleAddResponse, AuthRoleDeleteResponse, AuthRoleGetResponse, AuthRoleGrantPermissionResponse, AuthRoleListResponse, AuthRoleRevokePermissionResponse, AuthUserAddResponse, AuthUserChangePasswordResponse, AuthUserDeleteResponse, AuthUserGetResponse, AuthUserGrantRoleResponse, AuthUserListResponse, AuthUserRevokeRoleResponse, CompactResponse, DefragmentResponse, DeleteResponse, GetResponse, HashKVResponse, LeaseGrantResponse, LeaseKeepAliveResponse, LeaseRevokeResponse, LeaseTimeToLiveResponse, LockResponse, MemberAddResponse, MemberListResponse, MemberRemoveResponse, MemberUpdateResponse, MoveLeaderResponse, PutResponse, SnapshotResponse, StatusResponse, TxnResponse, UnlockResponse, WatchResponse

    public class AbstractResponse<R>
    extends Object
    implements Response

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`AbstractResponse(R response, ResponseHeader responseHeader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Response.Header` `getHeader()`
`protected R` `getResponse()`
`protected ResponseHeader` `getResponseHeader()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractResponse

    public AbstractResponse(R response,
                            ResponseHeader responseHeader)

### Method Detail

#### getHeader

    public Response.Header getHeader()

Specified by:
  `getHeader` in interface `Response`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getResponse

    protected final R getResponse()

#### getResponseHeader

    protected final ResponseHeader getResponseHeader()